-- Euphoria keywords and routines built in to the interpreter, ex.exe

global constant keywords = {
    "if", "end", "then", "procedure", "else", "for", "return",
    "do", "elsif", "while", "type", "constant", "to", "and", "or",
    "exit", "function", "global", "by", "not", "include",
    "with", "without"}

global constant builtins = {
    "length", "puts", "integer", "sequence", "position", "object",
    "append", "prepend", "print", "printf", 
    "clear_screen", "floor", "getc", "gets", "get_key",
    "rand", "repeat", "atom", "compare", "find", "match",
    "time", "command_line", "open", "close", "trace", "getenv",
    "sqrt", "sin", "cos", "tan", "log", "system", "date", "remainder",
    "power", "machine_func", "machine_proc", "abort", "peek", "poke", 
    "call", "sprintf", "arctan", "and_bits", "or_bits", "xor_bits",
    "not_bits", "pixel", "get_pixel", "mem_copy", "mem_set",
    "c_proc", "c_func", "routine_id", "call_proc", "call_func", 
    "poke4", "peek4s", "peek4u"}


global constant library = {
    "all_palette",
    "allocate",
    "allocate_low",
    "allocate_string",
    "allow_break",
    "atom_to_float32",
    "atom_to_float64",
    "bits_to_int",
    "bk_color",
    "bytes_to_int",
    "call_back",
    "check_break",
    "crash_message",
    "current_dir",
    "cursor",
    "custom_sort",
    "define_c_func",
    "define_c_proc",
    "dir",
    "display_image",
    "display_text_image",
    "dos_interrupt",
    "draw_line",
    "ellipse",
    "float32_to_atom",
    "float64_to_atom",
    "free",
    "free_low",
    "get",
    "get_active_page",
    "get_all_palette",
    "get_display_page",
    "get_mouse",
    "get_position",
    "get_vector",
    "graphics_mode",
    "int_to_bits",
    "int_to_bytes",
    "lock_memory",
    "lower",
    "message_box",
    "mouse_events",
    "mouse_pointer",
    "open_dll",
    "palette",
    "polygon",
    "read_bitmap",
    "save_bitmap",
    "save_image",
    "save_screen",
    "save_text_image",
    "scroll",
    "seek",
    "set_active_page",
    "set_display_page",
    "set_rand",
    "set_vector",
    "sort",
    "sound",
    "text_rows",
    "tick_rate",
    "upper",
    "use_vesa",
    "value",
    "video_config",
    "wait_key",
    "where",
    "wildcard_file",
    "wildcard_match",
    "wrap"}


